form, .dtl-body, .list-container {
    max-width: 350px;
}

.modal-open{
    overflow: hidden;
}

nav {
    margin-top: 20px;
}

.page-header > h1 {
    float: left;
}

.action-form {
    float: right;
    margin-top: 20px;
}

.action-form > span {
    font-weight: bold;
    margin-right: 10px;
}

.login-footer {
    margin-top: 20px;
}

#form-admin-logged{
    display: none;
}

.loader-container{
    display: none;
    height: 100vh;
    position: fixed;
    top: 0;
    align-items: center;
    justify-content: center;
    background-color: #0707076e;
    z-index: 9999;
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid rgb(34, 57, 111)!important; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 1s linear infinite;
}

.userAnagElement, .userContactElement{
    text-transform: uppercase;
}
  
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.modal-backdrop{
    background-color: #00000091!important;
}

button:hover{
    opacity: 0.9;
}

.select-style {
    display: block;
    width: 100%;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: 0.25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.select-style:focus{
    color: #212529;
    background-color: #fff;
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
}

select:disabled{
    background-color: #e9ecef;
}

.link-style{
    font-weight: bold;
}

.no-border{
    border: none!important;
}

.error-background{
    background-color: rgb(248, 215, 218);
}

.error-border{
    border: 1px solid rgb(241, 174, 181);
}

.error-text{
    color: rgb(132, 32, 41);
}

.bg-danger{
        background-color: rgb(248, 215, 218)!important;
        border: 1px solid rgb(241, 174, 181)!important;
        color: rgb(132, 32, 41)!important;
}

.bg-success{
    background-color: rgb(212, 237, 218)!important;
    border: 1px solid rgb(197, 231, 205)!important;
    color: rgb(69, 124, 81)!important;
}

.success-background{
    background-color: rgb(212, 237, 218);
}

.success-border{
    border: 1px solid rgb(197, 231, 205);
}

.success-text{
    color: rgb(69, 124, 81);
}

.primary-color{
    background-color: rgb(34, 57, 111)!important;
}

.secondary-color{
    background-color: rgb(223, 223, 199)!important;
}

.primary-color-text{
    color: rgb(34, 57, 111)!important;
}

.secondary-color-text{
    color: rgb(223, 223, 199)!important;
}

.button-border{
    border: 2px solid rgb(223, 223, 199)!important;
}

.text-green{
    color: green!important;
}

.text-red{
    color: red!important;
}

.text-red:hover{
    color: red!important;
}

.primary-color-border{
    border-color: rgb(34, 57, 111)!important;
}

.btn-red{
    background-color: red;
}

.btn-green{
    background-color: green;
}

.main-navbar{
    border-bottom: 2px solid rgb(223, 223, 199)!important;
}

.navbar-logo-container{
    display: flex;
    cursor: pointer;
}

.page-title{
    font-weight: bold;
    text-decoration: underline;
}

@media only screen and (max-width:991px){
    .navbar-collapse.collapse.in{
        display: block!important;
    }

    .navbar .nav-item.active{
        padding: 10px;
        border-top: 1px solid rgb(223, 223, 199);
        text-align: right;
        margin: 0 !important;
    }

    .navbar-nav.navbar-menu-option{
        align-items: initial!important;
    }

    #user-data-dashboard{
        text-align: right !important;
    }
}

.text-logo{
    display: flex;
    flex-direction: column;
}

.user-info-nav{
    display: none;
}

.user-info-container{
    display: flex;
    flex-direction: column;
    text-align: center;
}

.navbar-menu-option{
    display: none;
}

.navbar .nav-item span{
    font-weight: bold;
    cursor: pointer;
}

.dropdown-menu{
    background-color: rgb(34, 57, 111)!important;
    color: rgb(223, 223, 199)!important;
    padding: 0!important;
}

.dropdown-menu li{
    padding: 10px;
    cursor: pointer;
    border-top: 1px solid rgb(223, 223, 199)!important;
    border-bottom: 1px solid rgb(223, 223, 199)!important;
}

#user-menu{
    top: 85px;
    right: 0px;
    box-shadow: 1px 5px 5px 0px #837676;
}

.user-icon{
    width: 50px;
    filter: invert(1);
    cursor: pointer;
}

#user-data-dashboard{
    font-weight: bold;
    text-transform: uppercase;
    padding: 10px;
}

.container-button-dashboard{
    display: flex;
    justify-content: center;
}

.button-dashboard:hover{
    opacity: 0.9;
}

.button-dashboard{
    width: 260px;
    cursor: pointer;
    padding: 25px;
    border-radius: 0.5em;
    font-size: 15px;
    font-weight: bold;
    height: 70px;
    text-align: center;
    align-items: center;
    justify-content: center;
    display: flex;
    border: 2px solid rgb(223, 223, 199);
}

.chat-button-container{
    z-index: 9999;
    cursor: pointer;
    position: fixed;    
    bottom: 20px;
    right: 20px;
}

#chat-notify{
    display: none;
    position: absolute;
    background-color: rgb(220, 53, 69);
    color: #fff;
    width: 25px;
    height: 25px;
    text-align: center;
    border-radius: 50%;
    right: -5px;
    top: -5px;
}

.dialog-chat{
    position: absolute!important;
    bottom: 80px!important;
    right: 20px!important;
    height: auto!important;
    width: 350px!important;
}

.modale-chat-mobile{
    z-index: 10000;
}

.dialog-chat-mobile{
    min-width: 100vw !important;
    height: 100% !important;
    top: 0;
    right: 0 !important;
    left: 0;
    margin: 0;
}

.chat-content-mobile{
    border: none!important;
}

.chat-header-mobile{
    display: block!important;
    width: 100vw !important;
}

.chat-body-mobile{
    height: 50vh !important;
    overflow-y: auto;
    max-height: initial !important;
}

.chat-footer-mobile{
    width: 100vw !important;
}

.chat-content{
    height: 100%!important;
    width: 100%!important;
    border: 1px solid rgb(223, 223, 199);
}

.chat-footer{
    width: 348px;
}

.load-messages button{
    border-radius: 2.5em;
    font-size: 13px;
    padding: 2px 10px;
    border-color: rgb(34, 57, 111);
}

/* @media only screen and (max-width:575px){
    .dialog-chat{
        bottom: 100px!important;
        width: 250px!important;
    }

    .chat-footer{
        width: 250px!important;
    }

    #chat-message-text{
        width: 75%!important;
    }
} */

#chat-message-text{
    width: 82%;
    border-radius: 0.7em!important;
}

.user-message{
    position: relative;
    width: 70%;
    background-color: rgb(223, 223, 199);
    color: rgb(34, 57, 111);
    float: right;
    border-radius: 0.3em;
}

.message-text{
    word-wrap: break-word;
    white-space: pre-wrap
}

.received-message{
    position: relative;
    width: 70%;
    background-color: rgb(34, 57, 111);
    color: rgb(223, 223, 199);
    float: left;
    border-radius: 0.3em;
}

#chat-body{
    max-height: 380px;
    overflow-y: auto;
    min-height: 380px;
}

/* #chat-body>div{
    box-shadow: 1px 1px 5px 0px rgb(0, 0, 0);
} */

#chat-body .message-time{
    font-size: 12px;
}

#send-chat-message{
    width: 40px;
    border-radius: 0.7em!important;
    background-color: rgb(223, 223, 199) !important;
}

#send-chat-message img{
    width: 130%;
    margin-top: -5px;
    margin-left: -2px;
    filter: invert(14%) sepia(100%) saturate(1026%) hue-rotate(202deg) brightness(99%) contrast(90%);
}

.triangle-right{
    position: absolute;
    right: -7px;
    bottom: 0px;
    border-top: 16px solid transparent;
    border-left: 12px solid rgb(223, 223, 199);
}

.triangle-left{
    position: absolute;
    left: -5px;
    bottom: 0px;
    border-top: 22px solid transparent;
    border-right: 12px solid rgb(34, 57, 111);
}

.chat-button{
    width: 75px;
    height: 75px;
    border: 2px solid rgb(223, 223, 199);
    border-radius: 50%;
}

.chat-icon{
    width: 50px;
    position: absolute;
    top: 11px;
    left: 13px;
    filter: invert(96%) sepia(5%) saturate(1732%) hue-rotate(337deg) brightness(108%) contrast(83%);
}

#form-anag-profile{
    max-width: 100%;
}

#form-anag-profile label{
    font-weight: bold;
}


.autocomplete-items {
    position: absolute;
    border: 1px solid #d4d4d4;
    border-bottom: none;
    border-top: none;
    z-index: 99;
    top: 100%;
    width: 91%;
    left: 13px;
    right: 0;
}
  
.autocomplete-items div {
    padding: 10px;
    cursor: pointer;
    background-color: #fff; 
    border-bottom: 1px solid #d4d4d4; 
}
  
.autocomplete-items div:hover {
    background-color: #e9e9e9; 
}
  
.autocomplete-active {
    background-color: DodgerBlue !important; 
    color: #ffffff; 
} 

.container-info{
    display: flex;
    flex-direction: column;
    justify-content: center;
    font-weight: bold;
}

.container-info div{
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

.radio-container{
    display: flex;
}

.button-container button{
    width: 120px;
}

.container-input label.error{
    display: none;
    font-weight: normal!important;
    color: red;
}

.new-document-button{
    width: 225px!important;
    background-color: rgb(40, 167, 69)!important;
    border-color: rgb(40, 167, 69)!important;
    color: #fff!important;
}

@media only screen and (max-width: 600px){
    .gestioneDocumenti-button{
        width: 140px!important;
        height: 80px;
    }
}

@media only screen and (max-width: 400px){
    .gestioneDocumenti-button{
        font-size: 16px;;
        width: 120px!important;
        height: 80px;
    }
}

.table-gestioneDocumenti tbody tr:hover{
    background-color: #F2F2F2;
}

.table-gestioneDocumenti tbody tr td{
    vertical-align: middle;
}

.document-icon{
    width: 70px;
    filter: invert(14%) sepia(100%) saturate(1026%) hue-rotate(202deg) brightness(99%) contrast(90%);
}

.actiongestioneDocumenti-button-container{
    display: flex;
}

.document-icon.green{
    filter: invert(48%) sepia(85%) saturate(1000%) hue-rotate(86deg) brightness(75%) contrast(100%);
}

.download-document-icon, .visualize-document-icon{
    cursor: pointer;
    width: 35px;
    filter: invert(14%) sepia(100%) saturate(1026%) hue-rotate(202deg) brightness(99%) contrast(90%);
}

.delete-document-icon{
    cursor: pointer;
    width: 15px;
    filter: invert(18%) sepia(100%) saturate(6867%) hue-rotate(13deg) brightness(100%) contrast(124%);
    float: left;
    margin-left: 3px;
}

.dataTables_length, .dataTables_filter{
    display: none!important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover{
    background: rgb(34, 57, 111)!important;
    border-color: rgb(34, 57, 111)!important;
    color: rgb(223, 223, 199)!important;
    border-radius: 0.3em;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover{
    background: linear-gradient(to bottom, white 0%, #dcdcdc 100%)!important;
    border-radius: 0.3em;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.disabled, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active{
    background: transparent!important;
    border: none!important;
}

#scaricaEstrattoConto {
    color: #fff!important;
    background-color: rgb(40, 167, 69)!important;
    border-color: rgb(40, 167, 69)!important;
}

.liquidazione .content-container{
    height: 450px;
}

.liquidazione-loader-container{
    justify-content: center;
    display: flex;
    align-self: start;
    margin-top: -70px;
}

#liquidazioneAnagrafica #birthdayIconContainer{
    cursor: default !important;
}

@media only screen and (max-width: 478px){
    #tabella-documenti{
        overflow: initial;
    }

    .table-gestioneDocumenti{
        border: none!important;
    }

    .table-gestioneDocumenti thead{
        display: none;
    }

    #body-tabella{
        display: flex;
        flex-direction: column;
        border: none !important;
    }

    #body-tabella tr{
        position: relative;
        height: 150px;
        width: 320px;
        display: flex;
        align-self: center;
    }

    #body-tabella tr td:nth-child(1){
        border: none;
        position: absolute;
        top: 25px;
        padding: 0;
    }

    .data-span{
        display: block!important;
    }

    #body-tabella tr td:nth-child(2){
        position: absolute;
        top: 35px;
        border: none;
        left: 80px;
    }

    #body-tabella tr td:nth-child(3){
        position: absolute;
        top: 60px;
        border: none;
        left: 80px;
    }

    #body-tabella tr td:nth-child(4){
        border: none;
        position: absolute;
        left: 240px;
        height: 100%;
        padding: 0;
    }

    .actiongestioneDocumenti-button-container{
        flex-direction: column;
    }

    .actiongestioneDocumenti-button-container .document-download-button:nth-child(1){
        position: absolute;
        top: 15px;
    }

    .actiongestioneDocumenti-button-container .document-download-button:nth-child(2){
        position: absolute;
        bottom: 10px;
    }

    .visualize-document-icon{
        display: none;
    }
}

.index-container a {
    color: #000;
}

@media only screen and (max-width:600px){
    .index-container{
        display: none!important;
    }

    .faq-container{
        width: 100%!important;
    }
}

#body-tabella tr td{
    vertical-align: middle;
}

.comune-row:hover{
    background-color: rgb(34, 57, 111)!important;
    color: #fff;
    cursor: pointer;
}

.inviaDistinta-button:hover{
    background-color: #fff!important;
    color: rgb(34, 57, 111)!important;
    cursor: default;
}

.atleti-table tbody tr:hover, .distinte-table tbody tr:hover, .distinteStagione-table tbody tr:hover, .nuovaDistinta-table tbody tr:hover, .meseAnnoIntegrazione-table tbody tr:hover {
    background-color: rgb(34, 57, 111)!important;
    color: #fff!important;
    cursor: pointer;
}

.distinte-table tbody .noHover:hover, .distinteStagione-table tbody .noHover:hover, .nuovaDistinta-table tbody .noHover:hover, .meseAnnoIntegrazione-table tbody .noHover:hover {
    background-color: #fff!important;
    color: #000!important;
    cursor: default;
}

.nascondi{
    display: none;
}

.mostra{
    display: table-cell;
}

table td:not(:last-child), table th:not(:last-child){
    border-right: 1px solid rgb(14 70 203)!important;
}

table th{
    border-bottom: 1px solid rgb(14 70 203)!important;
}

table tbody{
    border-top: 1px solid rgb(14 70 203)!important;
} 

.table-nuovaDistinta tbody tr td.inputContainer, .table-meseAnnoIntegrazione tbody tr td.inputContainer, .table-meseAnno tbody tr td.inputContainer{
    padding: 0!important;
}

.table-nuovaDistinta tbody tr td.textContainer, .table-meseAnnoIntegrazione tbody tr td.textContainer, .table-meseAnno tbody tr td.textContainer{
    padding: 0 8px!important;
}

table tbody tr td input{
    width: 100px!important;
}

.gestioneDistinteRow{
    vertical-align: middle;
}

.gestioneDistinteRow td button{
    font-size: 12px;
}

.invioDistintePage #tabella-distintePerStagione tr, .gestioneDistintePage #tabella-distintePerStagione tr{
    height: 54px;
}

#tabella-distinte .table-distinte, #tabella-distintePerStagione .table-distinteStagione{
    width: 60%!important;
    margin: 0 auto!important;
}

#tabella-anagraficaAtleti tr td{
    padding: 3px 8px!important;
}

table input{
    border-color: rgb(169, 188, 247);
    /* background-color: #5ae4ef52; */
}

table tr th, table tr td{
    vertical-align: middle;
}

table thead tr th{
    background-color: rgb(169, 188, 247)!important;
}

.matricolaEsistente{
    background-color: rgb(248, 215, 218)!important;
    color: rgb(132, 32, 41)!important;
}

tr:nth-child(even) {background: rgb(228, 228, 255)}

.inputContainer input{
    font-size: 12px!important;
}

.noHover{
    font-weight: bold!important;
    font-size: 12px!important;
} 

.bold-text{
    font-weight: bold!important;
    font-size: 12px!important;
}

.noHovernoBold{
    font-weight: 400!important;
}

.distinte-table tbody tr.noHovernoBold:hover{
    font-weight: 400!important;
    background-color: #fff!important;
    color: #000!important;
    cursor: default;
}  